#!/bin/sh

# geometry of the impact disruption
F=150
OMEGA=30

v_R_koef=1.0
v_T_koef=1.0
v_W_koef=1.0

export F OMEGA

cd propagate_to_given_f_omega
./makein.sh
cd ..

# D_astorbifexists is from elsewhere <- for a particular value of albedo (0.12)
awk '{ printf("%8.3f\n", $1/2.); }' < D_astorbifexists.dat > R.dat
./yarko.awk < R.dat

cp propagate_to_given_f_omega/dump_pl.dat pl.in

# write the number of asteroids from D_astorbifexists to genvel3.in!
./genveld < genveld.in > genveld.out
./genvel3_RTW_ASYMMETRIC.awk $v_R_koef $v_T_koef $v_W_koef genveld.out propagate_to_given_f_omega/dump_tp.dat > tp.in

xvpl2el < pl.in > pl.elmts
xvtp2el < tp.in > tp.elmts

# compute histogram of velocities:
awk '!/^#/{ print $5; }' genveld.out > genveld.out_v
echo -e "50\n0 500\ngenveld.out_v" > hist.in
hist5 < hist.in > genveld.out_vhist

awk '!/^#/ && ($4 > 4.5) && ($4 < 5.5){ print; }' genveld.out > genveld_5km.out
awk '!/^#/{ print $5; }' < genveld_5km.out > genveld_5km.out_v
echo -e "50\n0 500\ngenveld_5km.out_v" > hist.in
hist5 < hist.in > genveld_5km.out_vhist

# some plots to check
./genveld.plt
./genveld_vD.plt
./tp.plt




